Subject: Re: IPv6 Policy based routing not working.

From: Hannes Frederic Sowa <[email-masked]>
Date: Wed, 27 Aug 2014 07:55:57 +0200

On Mi, 2014-08-27 at 10:24 +0530, Tushar Shinde wrote:
> Hi Hannes,
> 
> Thank you for reply.
> 
> I tested it will 2 kernels 2.6.32-431.11.2.el6.x86_64, and ubuntu
> 14.04 kernel 3.13.
> 
> ping6 -I <IPv6 src ip> <dest> is working. I also verified ssh with -b working.
> 
> So my question is, is it necessary to give bind address to make source
> based routing work? why don't it select ip address of given bind
> interface? Because of this SO_BINDTODEVICE may not work as expected.

Hmm, not sure, but last time I looked ping6 did not do SO_BINDTODEVICE
at all and I doubt it changed. It merely sets outgoing interface index
in cmsg PKTINFO data.

Semantically those are not the same. Interface index on global
destination addresses is only advisory, no strict routing lookup will be
done.

Bye,
Hannes